# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab

#INCLUDES = -I$(top_srcdir)/src

#AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl ${BOOST_LDFLAGS}
#AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}

RANDOMNUMBERTESTSSOURCES = \
	../RandomNumbers/unittests/RandomNumberDistributionFactoryUnitTest.cpp \
	../RandomNumbers/unittests/RandomNumberEngineFactoryUnitTest.cpp \
	../RandomNumbers/unittests/RandomNumberGeneratorFactoryUnitTest.cpp \
	../RandomNumbers/unittests/RandomNumberGeneratorUnitTest.cpp

RANDOMNUMBERTESTSHEADERS = \
	../RandomNumbers/unittests/RandomNumberDistributionFactoryUnitTest.hpp \
	../RandomNumbers/unittests/RandomNumberEngineFactoryUnitTest.hpp \
	../RandomNumbers/unittests/RandomNumberGeneratorFactoryUnitTest.hpp \
	../RandomNumbers/unittests/RandomNumberGeneratorUnitTest.hpp

RANDOMNUMBERTESTS = \
  RandomNumberDistributionFactoryUnitTest \
  RandomNumberEngineFactoryUnitTest \
  RandomNumberGeneratorFactoryUnitTest \
  RandomNumberGeneratorUnitTest

TESTS += $(RANDOMNUMBERTESTS)
check_PROGRAMS += $(RANDOMNUMBERTESTS) 
noinst_PROGRAMS += $(RANDOMNUMBERTESTS)

RANDOMNUMBERLIBS = \
	../libMolecuilderRandomNumbers.la \
	${CodePatterns_LIBS} \
	$(BOOST_LIB)

RandomNumberDistributionFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../RandomNumbers/unittests/RandomNumberDistributionFactoryUnitTest.cpp \
	../RandomNumbers/unittests/RandomNumberDistributionFactoryUnitTest.hpp
RandomNumberDistributionFactoryUnitTest_LDADD = ${RANDOMNUMBERLIBS}

RandomNumberEngineFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../RandomNumbers/unittests/RandomNumberEngineFactoryUnitTest.cpp \
	../RandomNumbers/unittests/RandomNumberEngineFactoryUnitTest.hpp
RandomNumberEngineFactoryUnitTest_LDADD = ${RANDOMNUMBERLIBS}

RandomNumberGeneratorFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../RandomNumbers/unittests/RandomNumberGeneratorFactoryUnitTest.cpp \
	../RandomNumbers/unittests/RandomNumberGeneratorFactoryUnitTest.hpp
RandomNumberGeneratorFactoryUnitTest_LDADD = ${RANDOMNUMBERLIBS}

RandomNumberGeneratorUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../RandomNumbers/unittests/RandomNumberGeneratorUnitTest.cpp \
	../RandomNumbers/unittests/RandomNumberGeneratorUnitTest.hpp
RandomNumberGeneratorUnitTest_LDADD = ${RANDOMNUMBERLIBS}


#AUTOMAKE_OPTIONS = parallel-tests
